#!/usr/bin/env bash

stats_raw=`nc -w $API_TIMEOUT localhost $MINER_API_PORT`

if [[ $? -ne 0 || -z $stats_raw ]]; then
    echo -e "${YELLOW}Failed to read $miner from 127.0.0.1:{$MINER_API_PORT}${NOCOLOR}"
else
    local temp=`cpu-temp`
    if [[ $temp == "null" ]]; then
        temp=0
    fi
    local khs=`echo \{$stats_raw\} | jq -r '.hs' | sed 's/[][]//g'`
    stats=`echo \{$stats_raw,\"temp\":[$temp],\"bus_numbers\":[null]\}`
fi

[[ -z $khs ]] && khs=0
[[ -z $stats ]] && stats="null"
